import * as unplugin from 'unplugin';
import { TreeNode } from 'unplugin-vue-router';
import { Options } from './types.js';

declare const _default: unplugin.UnpluginInstance<Options, false>;

declare function getNuxtStyleRouteName(node: TreeNode): string;
declare const getRouteMap: ({ routeMap, nuxtStyle, }: {
    routeMap?: Map<string, TreeNode> | undefined;
    nuxtStyle?: boolean | undefined;
}, getRouteName?: typeof getNuxtStyleRouteName) => (node: TreeNode) => string;

export { _default as default, getNuxtStyleRouteName, getRouteMap };
